Cluster V2 (7.1 -> 7.2)

API Changelog: 7.1 → 7.2

API Changelog: 7.1 → 7.2

177 incompatible changes (including 78 removed endpoints) · 319 compatible changes (including 5 new endpoints, 0 deprecated)

Incompatible (177)
API Endpoint What Changed Details
POST /access-tokens
  • Privilege name updated
  • Breaking change details
  • Properties removed
  • New required fields
Privilege requirement removed

No API contract change for POST. The documented privilege requirement No Privileges Required was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (3)
  • [Request] removed property certificate
  • [Request] removed property mfaParams
  • [Request] removed property privateKey
Deleted properties (3)
  • certificate [Request] — Specifies the certificate for logging in the cert base auth cluster.
  • mfaParams [Request] — Specifies the multi-factor authentication params.
  • privateKey [Request] — Specifies the matching private key of the above certificate.
New required request fields (2)
  • password [Request] — Specifies the password of the Cohesity user account.
  • username [Request] — Specifies the login name of the Cohesity user.
GET /chassis/{id}
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement CLUSTER_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (2)
  • chassisNodeBase [Return Type]
  • location [Return Type]
PATCH /chassis/{id}
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for PATCH. The documented privilege requirement CLUSTER_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (2)
  • chassisNodeBase [Request, Return Type] — This field is initialized as sum of maximum slots of all the chassis added to the cluster so far plus one. This is required to assign unique node index for the nodes when they are added to the cluster. Please refer to cluster_node_index in Node below.
  • location [Request, Return Type] — Location of the chassis within the rack.
GET /clusters/smtp
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement CLUSTER_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (1)
  • senderEmailAddress [Return Type]
PUT /clusters/smtp
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement CLUSTER_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (1)
  • senderEmailAddress [Request, Return Type] — This is used for setting "Sender" field in SMTP header. This has to be in valid email format, and could be different from username, and it's a required field if the username is not of valid email address.
POST /disks/identify
  • Privilege name updated
  • Breaking change details
  • Properties removed
  • New required fields
  • New fields that are always included in the response
Privilege requirement removed

No API contract change for POST. The documented privilege requirement CLUSTER_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (1)
  • [Request] removed property diskId
Deleted properties (1)
  • diskId [Request, Return Type] — Specifies the disk id of the disk. This parameter is incompatible with 'nodeId' and 'serialNumber'.
New required request fields (2)
  • nodeId [Request] — Specifies the node id of node that disk belongs to.
  • serialNumber [Request] — Specifies serial number of disk.
Now-guaranteed response fields (2)
  • nodeId [Return Type] — Specifies the node id of node that disk belongs to.
  • serialNumber [Return Type] — Specifies serial number of disk.
GET /support-channel-config
  • Privilege name updated
  • Properties removed
  • New fields that are always included in the response
Privilege requirement removed

No API contract change for GET. The documented privilege requirement CLUSTER_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (2)
  • nodeIds [Return Type]
  • supportUserToken [Return Type]
Now-guaranteed response fields (2)
  • endTimeUsecs [Return Type]
  • isEnabled [Return Type]
PUT /support-channel-config
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement CLUSTER_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (2)
  • forceEnableReverseTunnel [Request, Return Type] — Specifies if SSH reverse tunnel should be initiated with RT server. Use this only if there are connectivity issues with Support Channel server.
  • nodeIds [Request, Return Type] — List of nodes where support channel should be enabled in addition to master node.
GET /support-user/config
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement CLUSTER_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (2)
  • sudoAccessEndTimestampMsecs [Return Type]
  • sudoAccessMode [Return Type]
PUT /support-user/config
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement CLUSTER_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (1)
  • sudoAccessEndTimestampMsecs [Request] — Sudo Access End Time in Milli seconds If null, the endpoint will try to use default behavior of 5 days.
GET /support-user/mfa
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement CLUSTER_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (3)
  • currentPassword [Return Type]
  • otpVerificationState [Return Type]
  • requiresPasswordAuth [Return Type]
PATCH /support-user/mfa
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for PATCH. The documented privilege requirement CLUSTER_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (3)
  • currentPassword [Request, Return Type] — Specifies the current password of the support user, required for making updates to the configuration.
  • otpVerificationState [Request, Return Type] — Specifies the status of otp verification.
  • requiresPasswordAuth [Return Type] — Specifies that this API requires current support user password for enabling/disabling MFA, and for updating mfaType and email.
GET /chassis
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement CLUSTER_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (2)
  • chassis[n].chassisNodeBase [Return Type]
  • chassis[n].location [Return Type]
GET /clusters/nodes/free
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement CLUSTER_VIEW, CLUSTER_CREATE was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (6)
  • nodes[n].chassisModel [Return Type]
  • nodes[n].connectedTo [Return Type]
  • nodes[n].hostname [Return Type]
  • nodes[n].nodeModel [Return Type]
  • nodes[n].primaryIPv4Address [Return Type]
  • nodes[n].primaryIPv6Address [Return Type]
POST /data-protect/protection-groups/states
  • Privilege name updated
  • Breaking change details
  • Properties removed
Privilege requirement removed

No API contract change for POST. The documented privilege requirement PROTECTION_JOB_OPERATE was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (3)
  • [Request] removed property lastPauseReason
  • [Request] removed property pausedNote
  • [Request] removed property tenantId
Deleted properties (3)
  • lastPauseReason [Request] — Specifies the reason why the protection group was paused
  • pausedNote [Request] — A note from the current user explaining the reason for pausing future runs, if applicable.
  • tenantId [Request] — Specifies the tenant id who has access to these protection groups.
POST /data-protect/protection-groups/{id}/runs/actions
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for POST. The documented privilege requirement PROTECTION_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (1)
  • pauseParams[n].pausedNote [Request]
PUT /data-protect/sources/microsoft365/azure-applications
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement PROTECTION_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (4)
  • certificateThumbprints [Request] — Specifies a list of certificate thumbprints. The count of items in this list should be either one or equal to the appCount. If only a single thumbprint is provided, all newly created apps will share the certificate.
  • existingMicrosoft365AppCredentialsList[n].clientCertificate [Request]
  • microsoft365AppCredentialsList[n].clientCertificate [Return Type]
  • o365AppCredentialsListForCertUpdate [Request] — Specifies the list of exisiting Microsoft365 azure application credentials for which certificates are to be added/ updated. Each app credential in this list should contain a certificate id.
POST /data-protect/sources/microsoft365/azure-applications
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for POST. The documented privilege requirement PROTECTION_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (4)
  • certificateThumbprints [Request] — Specifies a list of certificate thumbprints. The count of items in this list should be either one or equal to the appCount. If only a single thumbprint is provided, all newly created apps will share the certificate.
  • existingMicrosoft365AppCredentialsList[n].clientCertificate [Request]
  • microsoft365AppCredentialsList[n].clientCertificate [Return Type]
  • o365AppCredentialsListForCertUpdate [Request] — Specifies the list of exisiting Microsoft365 azure application credentials for which certificates are to be added/ updated. Each app credential in this list should contain a certificate id.
POST /disks/{id}/remove
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for POST. The documented privilege requirement CLUSTER_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (2)
  • hasClearedPreCheckResult [Return Type]
  • isClearPreCheckResultOnly [Request] — Specifies whether request is for clearing pre-check result only
PUT /file-services/shares/{name}
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement STORAGE_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (1)
  • viewId [Return Type]
GET /groups/{sid}
  • Privilege name updated
  • Breaking change details
  • New properties added
  • Properties removed
  • New optional properties
Privilege requirement removed

No API contract change for GET. The documented privilege requirement No Privileges Required was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (1)
  • [Return Type] removed property groupType
Added properties (2)
  • localGroupParams.usernames [Return Type]
  • smbPrincipals[n].sid [Return Type]
Deleted properties (1)
  • groupType [Return Type]
New optional properties (1)
  • groupType [Return Type]
PUT /groups/{sid}
  • Privilege name updated
  • Breaking change details
  • New properties added
  • Properties removed
  • New optional properties
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement PRINCIPAL_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (1)
  • [Return Type] removed property groupType
Added properties (2)
  • localGroupParams.usernames [Return Type]
  • smbPrincipals[n].sid [Return Type]
Deleted properties (1)
  • groupType [Return Type]
New optional properties (1)
  • groupType [Return Type]
GET /nodes
  • Privilege name updated
  • New properties added
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement CLUSTER_VIEW, NODE_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Added properties (2)
  • cpu [Return Type]
  • systemMemoryBytes [Return Type]
Deleted properties (1)
  • isNodeReachable [Return Type]
POST /nodes/{id}/remove
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for POST. The documented privilege requirement CLUSTER_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (2)
  • clearedPreCheckResult [Return Type]
  • isClearPreCheckResultOnly [Request] — Specifies whether request is for clearing pre-check result only
GET /storage-domains/{id}
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement STORAGE_DOMAIN_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (1)
  • removalState [Return Type]
PUT /storage-domains/{id}
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement STORAGE_DOMAIN_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (1)
  • removalState [Return Type] — Specifies the current removal state of the Storage Domain. 'DontRemove' means the state of object is functional and it is not being removed. 'MarkedForRemoval' means the object is being removed. 'OkToRemove' means the object has been removed on the Cohesity Cluster and if the object is physical, it can be removed from the Cohesity Cluster.
GET /cluster/upgrade-checks/{testRunInstanceId}
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement Unknown Privileges was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (1)
  • error [Return Type]
GET /clusters
  • Privilege name updated
  • Breaking change details
  • New properties added
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement CLUSTER_VIEW, TENANT_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (82)
  • [Return Type] removed property aesEncryptionMode
  • [Return Type] removed property amqpTargetConfig
  • [Return Type] removed property appsSubnet
  • [Return Type] removed property assignedRacksCount
  • [Return Type] removed property attemptAgentPortsUpgrade
  • [Return Type] removed property authSupportForPkgDownloads
  • [Return Type] removed property authType
  • [Return Type] removed property authorizedSshPublicKeys
  • [Return Type] removed property availableMetadataSpace
  • [Return Type] removed property bannerEnabled
  • [Return Type] removed property chassisCount
  • [Return Type] removed property clusterSoftwareVersion
  • [Return Type] removed property clusterType
  • [Return Type] removed property createdTimeMsecs
  • [Return Type] removed property currentOpScheduledTimeSecs
  • [Return Type] removed property currentOperation
  • [Return Type] removed property currentTimeMsecs
  • [Return Type] removed property diskCountByTier
  • [Return Type] removed property dnsServerIps
  • [Return Type] removed property domainNames
  • [Return Type] removed property enableActiveMonitoring
  • [Return Type] removed property enablePatchesDownload
  • [Return Type] removed property enableUpgradePkgPolling
  • [Return Type] removed property encryptionKeyRotationPeriodSecs
  • [Return Type] removed property eulaConfig
  • [Return Type] removed property faultToleranceLevel
  • [Return Type] removed property gateway
  • [Return Type] removed property googleAnalyticsEnabled
  • [Return Type] removed property hardwareEncryptionEnabled
  • [Return Type] removed property hardwareInfo
  • [Return Type] removed property ipPreference
  • [Return Type] removed property isAthenaSubnetClash
  • [Return Type] removed property isClusterMfaEnabled
  • [Return Type] removed property isDocumentationLocal
  • [Return Type] removed property isPatchApplyAborted
  • [Return Type] removed property isPatchRevertAborted
  • [Return Type] removed property isUpgradeAborted
  • [Return Type] removed property kmsServerId
  • [Return Type] removed property languageLocale
  • [Return Type] removed property licenseState
  • [Return Type] removed property loadBalancerVipConfig
  • [Return Type] removed property localAuthDomainName
  • [Return Type] removed property localGroupsEnabled
  • [Return Type] removed property metadataFaultToleranceFactor
  • [Return Type] removed property minimumFailureDomainsNeeded
  • [Return Type] removed property multiTenancyEnabled
  • [Return Type] removed property nodeCount
  • [Return Type] removed property nodeIps
  • [Return Type] removed property ntpSettings
  • [Return Type] removed property patchApplyFailureErrorMessage
  • [Return Type] removed property patchRevertFailureErrorMessage
  • [Return Type] removed property patchRevertVersion
  • [Return Type] removed property patchTargetVersion
  • [Return Type] removed property patchV2RevertsAllowed
  • [Return Type] removed property patchVersion
  • [Return Type] removed property pcieSsdTierRebalanceDelaySecs
  • [Return Type] removed property protoRpcEncryptionEnabled
  • [Return Type] removed property proxyVMSubnet
  • [Return Type] removed property reverseTunnelEnabled
  • [Return Type] removed property reverseTunnelEndTimeMsecs
  • [Return Type] removed property s3VirtualHostedDomainNames
  • [Return Type] removed property sataHddTierAdmissionControl
  • [Return Type] removed property schemaInfoList
  • [Return Type] removed property securityModeDod
  • [Return Type] removed property smbAdDisabled
  • [Return Type] removed property smbMultichannelEnabled
  • [Return Type] removed property softwareType
  • [Return Type] removed property splitKeyHostAccess
  • [Return Type] removed property stats
  • [Return Type] removed property supportedConfig
  • [Return Type] removed property targetSoftwareVersion
  • [Return Type] removed property tenantViewboxSharingEnabled
  • [Return Type] removed property tieringAuditLogConfig
  • [Return Type] removed property timezone
  • [Return Type] removed property trustDomain
  • [Return Type] removed property turboMode
  • [Return Type] removed property upgradeFailureErrorString
  • [Return Type] removed property useDefaultAgentPorts
  • [Return Type] removed property useHeimdall
  • [Return Type] removed property usedMetadataSpacePct
  • [Return Type] removed property proxyServerConfig.isDisabled
  • [Return Type] removed property networkConfig.vips
Added properties (1)
  • cohesionClusterParams [Return Type]
Deleted properties (82)
  • aesEncryptionMode [Return Type]
  • amqpTargetConfig [Return Type]
  • appsSubnet [Return Type]
  • assignedRacksCount [Return Type]
  • attemptAgentPortsUpgrade [Return Type]
  • authSupportForPkgDownloads [Return Type]
  • authType [Return Type]
  • authorizedSshPublicKeys [Return Type]
  • availableMetadataSpace [Return Type]
  • bannerEnabled [Return Type]
  • chassisCount [Return Type]
  • clusterSoftwareVersion [Return Type]
  • clusterType [Return Type]
  • createdTimeMsecs [Return Type]
  • currentOpScheduledTimeSecs [Return Type]
  • currentOperation [Return Type]
  • currentTimeMsecs [Return Type]
  • diskCountByTier [Return Type]
  • dnsServerIps [Return Type]
  • domainNames [Return Type]
  • enableActiveMonitoring [Return Type]
  • enablePatchesDownload [Return Type]
  • enableUpgradePkgPolling [Return Type]
  • encryptionKeyRotationPeriodSecs [Return Type]
  • eulaConfig [Return Type]
  • faultToleranceLevel [Return Type]
  • gateway [Return Type]
  • googleAnalyticsEnabled [Return Type]
  • hardwareEncryptionEnabled [Return Type]
  • hardwareInfo [Return Type]
  • ipPreference [Return Type]
  • isAthenaSubnetClash [Return Type]
  • isClusterMfaEnabled [Return Type]
  • isDocumentationLocal [Return Type]
  • isPatchApplyAborted [Return Type]
  • isPatchRevertAborted [Return Type]
  • isUpgradeAborted [Return Type]
  • kmsServerId [Return Type]
  • languageLocale [Return Type]
  • licenseState [Return Type]
  • loadBalancerVipConfig [Return Type]
  • localAuthDomainName [Return Type]
  • localGroupsEnabled [Return Type]
  • metadataFaultToleranceFactor [Return Type]
  • minimumFailureDomainsNeeded [Return Type]
  • multiTenancyEnabled [Return Type]
  • networkConfig.vips [Return Type]
  • nodeCount [Return Type]
  • nodeIps [Return Type]
  • ntpSettings [Return Type]
  • patchApplyFailureErrorMessage [Return Type]
  • patchRevertFailureErrorMessage [Return Type]
  • patchRevertVersion [Return Type]
  • patchTargetVersion [Return Type]
  • patchV2RevertsAllowed [Return Type]
  • patchVersion [Return Type]
  • pcieSsdTierRebalanceDelaySecs [Return Type]
  • protoRpcEncryptionEnabled [Return Type]
  • proxyServerConfig.isDisabled [Return Type]
  • proxyVMSubnet [Return Type]
  • reverseTunnelEnabled [Return Type]
  • reverseTunnelEndTimeMsecs [Return Type]
  • s3VirtualHostedDomainNames [Return Type]
  • sataHddTierAdmissionControl [Return Type]
  • schemaInfoList [Return Type]
  • securityModeDod [Return Type]
  • smbAdDisabled [Return Type]
  • smbMultichannelEnabled [Return Type]
  • softwareType [Return Type]
  • splitKeyHostAccess [Return Type]
  • stats [Return Type]
  • supportedConfig [Return Type]
  • targetSoftwareVersion [Return Type]
  • tenantViewboxSharingEnabled [Return Type]
  • tieringAuditLogConfig [Return Type]
  • timezone [Return Type]
  • trustDomain [Return Type]
  • turboMode [Return Type]
  • upgradeFailureErrorString [Return Type]
  • useDefaultAgentPorts [Return Type]
  • useHeimdall [Return Type]
  • usedMetadataSpacePct [Return Type]
PUT /clusters
  • Privilege name updated
  • Breaking change details
  • New properties added
  • Properties removed
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement CLUSTER_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (82)
  • [Return Type] removed property aesEncryptionMode
  • [Return Type] removed property amqpTargetConfig
  • [Return Type] removed property appsSubnet
  • [Return Type] removed property assignedRacksCount
  • [Return Type] removed property attemptAgentPortsUpgrade
  • [Return Type] removed property authSupportForPkgDownloads
  • [Return Type] removed property authType
  • [Return Type] removed property authorizedSshPublicKeys
  • [Return Type] removed property availableMetadataSpace
  • [Return Type] removed property bannerEnabled
  • [Return Type] removed property chassisCount
  • [Return Type] removed property clusterSoftwareVersion
  • [Return Type] removed property clusterType
  • [Return Type] removed property createdTimeMsecs
  • [Return Type] removed property currentOpScheduledTimeSecs
  • [Return Type] removed property currentOperation
  • [Return Type] removed property currentTimeMsecs
  • [Return Type] removed property diskCountByTier
  • [Return Type] removed property dnsServerIps
  • [Return Type] removed property domainNames
  • [Return Type] removed property enableActiveMonitoring
  • [Return Type] removed property enablePatchesDownload
  • [Return Type] removed property enableUpgradePkgPolling
  • [Return Type] removed property encryptionKeyRotationPeriodSecs
  • [Return Type] removed property eulaConfig
  • [Return Type] removed property faultToleranceLevel
  • [Return Type] removed property gateway
  • [Return Type] removed property googleAnalyticsEnabled
  • [Return Type] removed property hardwareEncryptionEnabled
  • [Return Type] removed property hardwareInfo
  • [Return Type] removed property ipPreference
  • [Return Type] removed property isAthenaSubnetClash
  • [Return Type] removed property isClusterMfaEnabled
  • [Return Type] removed property isDocumentationLocal
  • [Return Type] removed property isPatchApplyAborted
  • [Return Type] removed property isPatchRevertAborted
  • [Return Type] removed property isUpgradeAborted
  • [Return Type] removed property kmsServerId
  • [Return Type] removed property languageLocale
  • [Return Type] removed property licenseState
  • [Return Type] removed property loadBalancerVipConfig
  • [Return Type] removed property localAuthDomainName
  • [Return Type] removed property localGroupsEnabled
  • [Return Type] removed property metadataFaultToleranceFactor
  • [Return Type] removed property minimumFailureDomainsNeeded
  • [Return Type] removed property multiTenancyEnabled
  • [Return Type] removed property nodeCount
  • [Return Type] removed property nodeIps
  • [Return Type] removed property ntpSettings
  • [Return Type] removed property patchApplyFailureErrorMessage
  • [Return Type] removed property patchRevertFailureErrorMessage
  • [Return Type] removed property patchRevertVersion
  • [Return Type] removed property patchTargetVersion
  • [Return Type] removed property patchV2RevertsAllowed
  • [Return Type] removed property patchVersion
  • [Return Type] removed property pcieSsdTierRebalanceDelaySecs
  • [Return Type] removed property protoRpcEncryptionEnabled
  • [Return Type] removed property proxyVMSubnet
  • [Return Type] removed property reverseTunnelEnabled
  • [Return Type] removed property reverseTunnelEndTimeMsecs
  • [Return Type] removed property s3VirtualHostedDomainNames
  • [Return Type] removed property sataHddTierAdmissionControl
  • [Return Type] removed property schemaInfoList
  • [Return Type] removed property securityModeDod
  • [Return Type] removed property smbAdDisabled
  • [Return Type] removed property smbMultichannelEnabled
  • [Return Type] removed property softwareType
  • [Return Type] removed property splitKeyHostAccess
  • [Return Type] removed property stats
  • [Return Type] removed property supportedConfig
  • [Return Type] removed property targetSoftwareVersion
  • [Return Type] removed property tenantViewboxSharingEnabled
  • [Return Type] removed property tieringAuditLogConfig
  • [Return Type] removed property timezone
  • [Return Type] removed property trustDomain
  • [Return Type] removed property turboMode
  • [Return Type] removed property upgradeFailureErrorString
  • [Return Type] removed property useDefaultAgentPorts
  • [Return Type] removed property useHeimdall
  • [Return Type] removed property usedMetadataSpacePct
  • [Return Type] removed property proxyServerConfig.isDisabled
  • [Return Type] removed property networkConfig.vips
Added properties (1)
  • cohesionClusterParams [Request, Return Type] — Specifies the cohesion specific parameters.
Deleted properties (82)
  • aesEncryptionMode [Request, Return Type] — Specifies the default AES Encryption mode on the cluster.
  • amqpTargetConfig [Request, Return Type] — Specifies the AMQP target config.
  • appsSubnet [Request, Return Type] — The subnet for Athena apps.
  • assignedRacksCount [Request, Return Type] — Specifies the number of racks in cluster with at least one rack assigned.
  • attemptAgentPortsUpgrade [Request, Return Type] — To attempt agent connection on port 21213 first.
  • authSupportForPkgDownloads [Request, Return Type] — Specifies if cluster can support authHeaders for upgrade.
  • authType [Request, Return Type] — Specifies the authentication scheme for the cluster.
  • authorizedSshPublicKeys [Request, Return Type] — Specifies a list of authorized SSH public keys that have been uploaded to this Cohesity Cluster.
  • availableMetadataSpace [Request, Return Type] — Specifies information about storage available for metadata
  • bannerEnabled [Request, Return Type] — Specifies whether UI banner is enabled on the cluster or not.
  • chassisCount [Request, Return Type] — Specifies the number of chassis in cluster.
  • clusterSoftwareVersion [Request, Return Type] — Specifies the current release of the Cohesity software running on the Cohesity Cluster.
  • clusterType [Return Type] — Specifies the environment type of the cluster.
  • createdTimeMsecs [Request, Return Type] — Specifies the time when the Cohesity Cluster was created.
  • currentOpScheduledTimeSecs [Request, Return Type] — Specifies the time scheduled by the Cohesity Cluster to start the current running operation.
  • currentOperation [Request, Return Type] — Specifies the current Cluster-level operation in progress.
  • currentTimeMsecs [Request, Return Type] — Specifies the current system time on the Cohesity Cluster.
  • diskCountByTier [Request, Return Type] — Specifies the number of disks on the cluster by Storage Tier.
  • dnsServerIps [Request, Return Type] — Specifies the IP addresses of the DNS Servers used by the Cohesity Cluster.
  • domainNames [Request, Return Type] — Specifies array of Domain Names.
  • enableActiveMonitoring [Request, Return Type] — Specifies if Cohesity can receive monitoring information from the Cohesity Cluster.
  • enablePatchesDownload [Request, Return Type] — Specifies whether to enable downloading patches from Cohesity download site.
  • enableUpgradePkgPolling [Request, Return Type] — If 'true', Cohesity's upgrade server is polled for new releases.
  • encryptionKeyRotationPeriodSecs [Request, Return Type] — Specifies the period of time (in seconds) when encryption keys are rotated
  • eulaConfig [Request, Return Type] — Specifies the End User License Agreement acceptance information.
  • faultToleranceLevel [Request, Return Type] — Specifies the level which 'MetadataFaultToleranceFactor' applies to.
  • gateway [Request, Return Type] — Specifies the gateway IP address.
  • googleAnalyticsEnabled [Request, Return Type] — Specifies whether Google Analytics is enabled.
  • hardwareEncryptionEnabled [Request, Return Type] — Specifies if hardware encryption(SED) is enabled.
  • hardwareInfo [Request, Return Type] — Specifies a hardware type for motherboard of the nodes that make dnsServerIps this Cohesity Cluster
  • ipPreference [Request, Return Type] — Specifies IP preference.
  • isAthenaSubnetClash [Request, Return Type] — Specifies whether or not athena subnet is clashing with some other internal subnet
  • isClusterMfaEnabled [Request, Return Type] — Specifies if MFA is enabled on cluster.
  • isDocumentationLocal [Request, Return Type] — Specifies what version of the documentation is used.
  • isPatchApplyAborted [Request, Return Type] — Specifies that the patch apply was aborted.
  • isPatchRevertAborted [Request, Return Type] — Specifies that the patch revert was aborted.
  • isUpgradeAborted [Request, Return Type] — Specifies if the current upgrade has been aborted.
  • kmsServerId [Request, Return Type] — Specifies the KMS Server Id.
  • languageLocale [Request, Return Type] — Specifies the language and locale for this Cohesity Cluster.
  • licenseState [Request, Return Type] — Specifies the state of licensing workflow.
  • loadBalancerVipConfig [Request, Return Type] — Load balancer VIP config for OneHelios cluster.
  • localAuthDomainName [Request, Return Type] — Specifies domain name for SMB local authentication.
  • localGroupsEnabled [Request, Return Type] — Specifies whether to enable local groups on cluster.
  • metadataFaultToleranceFactor [Request, Return Type] — Specifies metadata fault tolerance setting for the cluster.
  • minimumFailureDomainsNeeded [Request, Return Type] — Specifies minimum failure domains needed in the cluster.
  • multiTenancyEnabled [Request, Return Type] — Specifies if multi tenancy is enabled in the cluster.
  • networkConfig.vips [Request, Return Type]
  • nodeCount [Request, Return Type] — Specifies the number of Nodes in the Cohesity Cluster.
  • nodeIps [Request, Return Type] — Specifies IP addresses of nodes in the cluster.
  • ntpSettings [Request, Return Type] — Specifies if the ntp/primary secondary scheme should be disabled
  • patchApplyFailureErrorMessage [Request, Return Type] — Specifies the error message for a failed patch apply.
  • patchRevertFailureErrorMessage [Request, Return Type] — Specifies the error message for a failed patch revert.
  • patchRevertVersion [Request, Return Type] — Specifies the target version for reverting the patch.
  • patchTargetVersion [Request, Return Type] — Specifies the target version for applying the patch.
  • patchV2RevertsAllowed [Request, Return Type] — Specifies if cluster can support patch reverts.
  • patchVersion [Request, Return Type] — Specifies the patch version applied to cluster.
  • pcieSsdTierRebalanceDelaySecs [Request, Return Type] — Specifies the rebalance delay in seconds for cluster PcieSSD storage tier.
  • protoRpcEncryptionEnabled [Request, Return Type] — Specifies if protorpc encryption is enabled or not.
  • proxyServerConfig.isDisabled [Request, Return Type]
  • proxyVMSubnet [Request, Return Type] — Specifies the subnet reserved for ProxyVM.
  • reverseTunnelEnabled [Request, Return Type] — If 'true', Cohesity's Remote Tunnel is enabled.
  • reverseTunnelEndTimeMsecs [Request, Return Type] — Specifies the end time in milliseconds since epoch until when the reverse tunnel will stay enabled.
  • s3VirtualHostedDomainNames [Request, Return Type] — Specifies the list of domain names for S3.
  • sataHddTierAdmissionControl [Request, Return Type] — Specifies the admission control for cluster SATAHDD storage tier.
  • schemaInfoList [Request, Return Type] — Specifies the time series schema info of the cluster.
  • securityModeDod [Request, Return Type] — Specifies if Security Mode DOD is enabled or not.
  • smbAdDisabled [Request, Return Type] — Specifies if Active Directory should be disabled for authentication of SMB shares.
  • smbMultichannelEnabled [Request, Return Type] — Specifies whether SMB multichannel is enabled on the cluster.
  • softwareType [Request, Return Type] — Specifies the type of Cohesity Software.
  • splitKeyHostAccess [Request, Return Type] — Specifies if split key host access is enabled.
  • stats [Request, Return Type] — Specifies statistics about the Cohesity Cluster.
  • supportedConfig [Request, Return Type] — Specifies information about supported configuration.
  • targetSoftwareVersion [Request, Return Type] — Specifies the Cohesity release that this Cluster is being upgraded to if an upgrade operation is in progress.
  • tenantViewboxSharingEnabled [Request, Return Type] — Specifies whether multiple tenants can be placed on the same viewbox.
  • tieringAuditLogConfig [Request, Return Type] — Specifies the SmartTier audit log configuration.
  • timezone [Request, Return Type] — Specifies the timezone to use.
  • trustDomain [Request, Return Type] — Specifies the Trust Domain.
  • turboMode [Request, Return Type] — Specifies if the cluster is in Turbo mode..
  • upgradeFailureErrorString [Request, Return Type] — Error string to capture why the upgrade failed.
  • useDefaultAgentPorts [Request, Return Type] — To use default ports 50051 & 21213.
  • useHeimdall [Request, Return Type] — Specifies whether to enable Heimdall which tells whether services should use temporary fleet instances to mount disks by talking to Heimdall.
  • usedMetadataSpacePct [Request, Return Type] — Measures the percentage about storage used for metadata over the total storage available for metadata
POST /clusters
  • Privilege name updated
  • Breaking change details
  • New properties added
  • Properties removed
  • New optional properties
Privilege requirement removed

No API contract change for POST. The documented privilege requirement CLUSTER_CREATE was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (85)
  • [Return Type] removed property healthyNodes
  • [Return Type] removed property message
  • [Return Type] removed property unhealthyNodes
  • [Return Type] removed property aesEncryptionMode
  • [Return Type] removed property amqpTargetConfig
  • [Return Type] removed property appsSubnet
  • [Return Type] removed property assignedRacksCount
  • [Return Type] removed property attemptAgentPortsUpgrade
  • [Return Type] removed property authSupportForPkgDownloads
  • [Return Type] removed property authType
  • [Return Type] removed property authorizedSshPublicKeys
  • [Return Type] removed property availableMetadataSpace
  • [Return Type] removed property bannerEnabled
  • [Return Type] removed property chassisCount
  • [Return Type] removed property clusterSoftwareVersion
  • [Return Type] removed property clusterType
  • [Return Type] removed property createdTimeMsecs
  • [Return Type] removed property currentOpScheduledTimeSecs
  • [Return Type] removed property currentOperation
  • [Return Type] removed property currentTimeMsecs
  • [Return Type] removed property diskCountByTier
  • [Return Type] removed property dnsServerIps
  • [Return Type] removed property domainNames
  • [Return Type] removed property enableActiveMonitoring
  • [Return Type] removed property enablePatchesDownload
  • [Return Type] removed property enableUpgradePkgPolling
  • [Return Type] removed property encryptionKeyRotationPeriodSecs
  • [Return Type] removed property eulaConfig
  • [Return Type] removed property faultToleranceLevel
  • [Return Type] removed property gateway
  • [Return Type] removed property googleAnalyticsEnabled
  • [Return Type] removed property hardwareEncryptionEnabled
  • [Return Type] removed property hardwareInfo
  • [Return Type] removed property ipPreference
  • [Return Type] removed property isAthenaSubnetClash
  • [Return Type] removed property isClusterMfaEnabled
  • [Return Type] removed property isDocumentationLocal
  • [Return Type] removed property isPatchApplyAborted
  • [Return Type] removed property isPatchRevertAborted
  • [Return Type] removed property isUpgradeAborted
  • [Return Type] removed property kmsServerId
  • [Return Type] removed property languageLocale
  • [Return Type] removed property licenseState
  • [Return Type] removed property loadBalancerVipConfig
  • [Return Type] removed property localAuthDomainName
  • [Return Type] removed property localGroupsEnabled
  • [Return Type] removed property metadataFaultToleranceFactor
  • [Return Type] removed property minimumFailureDomainsNeeded
  • [Return Type] removed property multiTenancyEnabled
  • [Return Type] removed property nodeCount
  • [Return Type] removed property nodeIps
  • [Return Type] removed property ntpSettings
  • [Return Type] removed property patchApplyFailureErrorMessage
  • [Return Type] removed property patchRevertFailureErrorMessage
  • [Return Type] removed property patchRevertVersion
  • [Return Type] removed property patchTargetVersion
  • [Return Type] removed property patchV2RevertsAllowed
  • [Return Type] removed property patchVersion
  • [Return Type] removed property pcieSsdTierRebalanceDelaySecs
  • [Return Type] removed property protoRpcEncryptionEnabled
  • [Return Type] removed property proxyVMSubnet
  • [Return Type] removed property reverseTunnelEnabled
  • [Return Type] removed property reverseTunnelEndTimeMsecs
  • [Return Type] removed property s3VirtualHostedDomainNames
  • [Return Type] removed property sataHddTierAdmissionControl
  • [Return Type] removed property schemaInfoList
  • [Return Type] removed property securityModeDod
  • [Return Type] removed property smbAdDisabled
  • [Return Type] removed property smbMultichannelEnabled
  • [Return Type] removed property softwareType
  • [Return Type] removed property splitKeyHostAccess
  • [Return Type] removed property stats
  • [Return Type] removed property supportedConfig
  • [Return Type] removed property targetSoftwareVersion
  • [Return Type] removed property tenantViewboxSharingEnabled
  • [Return Type] removed property tieringAuditLogConfig
  • [Return Type] removed property timezone
  • [Return Type] removed property trustDomain
  • [Return Type] removed property turboMode
  • [Return Type] removed property upgradeFailureErrorString
  • [Return Type] removed property useDefaultAgentPorts
  • [Return Type] removed property useHeimdall
  • [Return Type] removed property usedMetadataSpacePct
  • [Return Type] removed property proxyServerConfig.isDisabled
  • [Return Type] removed property networkConfig.vips
Added properties (2)
  • cohesionClusterParams [Return Type]
  • virtualClusterParams.nodes [Request]
Deleted properties (118)
  • aesEncryptionMode [Return Type]
  • amqpTargetConfig [Return Type]
  • appsSubnet [Return Type]
  • assignedRacksCount [Return Type]
  • attemptAgentPortsUpgrade [Return Type]
  • authSupportForPkgDownloads [Return Type]
  • authType [Return Type]
  • authorizedSshPublicKeys [Return Type]
  • availableMetadataSpace [Return Type]
  • bannerEnabled [Return Type]
  • chassisCount [Return Type]
  • cloudClusterParams.clusterPartitionHostname [Request]
  • cloudClusterParams.clusterSize [Request]
  • cloudClusterParams.enableCloudRf1 [Request]
  • cloudClusterParams.encryptionConfig [Request]
  • cloudClusterParams.ipPreference [Request]
  • cloudClusterParams.metadataFaultTolerance [Request]
  • cloudClusterParams.trustDomain [Request]
  • clusterSoftwareVersion [Return Type]
  • clusterType [Return Type]
  • createdTimeMsecs [Return Type]
  • currentOpScheduledTimeSecs [Return Type]
  • currentOperation [Return Type]
  • currentTimeMsecs [Return Type]
  • diskCountByTier [Return Type]
  • dnsServerIps [Return Type]
  • domainNames [Return Type] — Specifies the list of Domain Names new cluster should be configured with.
  • enableActiveMonitoring [Return Type]
  • enablePatchesDownload [Return Type]
  • enableUpgradePkgPolling [Return Type]
  • encryptionKeyRotationPeriodSecs [Return Type]
  • eulaConfig [Return Type]
  • faultToleranceLevel [Return Type]
  • gateway [Return Type] — Specifies the gateway of the new cluster network.
  • googleAnalyticsEnabled [Return Type]
  • hardwareEncryptionEnabled [Return Type]
  • hardwareInfo [Return Type]
  • healthyNodes [Return Type]
  • ipPreference [Return Type] — Specifies IP preference
  • isAthenaSubnetClash [Return Type]
  • isClusterMfaEnabled [Return Type]
  • isDocumentationLocal [Return Type]
  • isPatchApplyAborted [Return Type]
  • isPatchRevertAborted [Return Type]
  • isUpgradeAborted [Return Type]
  • kmsServerId [Return Type]
  • languageLocale [Return Type]
  • licenseState [Return Type]
  • loadBalancerVipConfig [Return Type]
  • localAuthDomainName [Return Type]
  • localGroupsEnabled [Return Type]
  • message [Return Type]
  • metadataFaultToleranceFactor [Return Type]
  • minimumFailureDomainsNeeded [Return Type]
  • multiTenancyEnabled [Return Type]
  • networkConfig.vips [Request, Return Type]
  • nodeCount [Return Type]
  • nodeIps [Return Type] — Node ips for node group
  • ntpSettings [Return Type]
  • patchApplyFailureErrorMessage [Return Type]
  • patchRevertFailureErrorMessage [Return Type]
  • patchRevertVersion [Return Type]
  • patchTargetVersion [Return Type]
  • patchV2RevertsAllowed [Return Type]
  • patchVersion [Return Type]
  • pcieSsdTierRebalanceDelaySecs [Return Type]
  • physicalClusterParams.allowApiBasedFetch [Request]
  • physicalClusterParams.appsSubnetIp [Request]
  • physicalClusterParams.appsSubnetIpV6 [Request]
  • physicalClusterParams.appsSubnetMask [Request]
  • physicalClusterParams.appsSubnetMaskV6 [Request]
  • physicalClusterParams.clusterDestroyHmacKey [Request]
  • physicalClusterParams.clusterSubnetGroups [Request]
  • physicalClusterParams.enableClusterDestroy [Request]
  • physicalClusterParams.encryptionConfig [Request]
  • physicalClusterParams.ipPreference [Request]
  • physicalClusterParams.ipmiConfig [Request]
  • physicalClusterParams.metadataFaultTolerance [Request]
  • physicalClusterParams.nodeConfigs [Request]
  • physicalClusterParams.trustDomain [Request]
  • protoRpcEncryptionEnabled [Return Type]
  • proxyServerConfig.isDisabled [Request, Return Type]
  • proxyVMSubnet [Return Type]
  • reverseTunnelEnabled [Return Type]
  • reverseTunnelEndTimeMsecs [Return Type]
  • s3VirtualHostedDomainNames [Return Type]
  • sataHddTierAdmissionControl [Return Type]
  • schemaInfoList [Return Type]
  • securityModeDod [Return Type]
  • smbAdDisabled [Return Type]
  • smbMultichannelEnabled [Return Type]
  • softwareType [Return Type]
  • splitKeyHostAccess [Return Type]
  • stats [Return Type]
  • supportedConfig [Return Type]
  • targetSoftwareVersion [Return Type]
  • tenantViewboxSharingEnabled [Return Type]
  • tieringAuditLogConfig [Return Type]
  • timezone [Return Type]
  • trustDomain [Return Type] — Specifies Trust Domain used for Service Identity
  • turboMode [Return Type]
  • unhealthyNodes [Return Type]
  • upgradeFailureErrorString [Return Type]
  • useDefaultAgentPorts [Return Type]
  • useHeimdall [Return Type]
  • usedMetadataSpacePct [Return Type]
  • virtualClusterParams.allowApiBasedFetch [Request]
  • virtualClusterParams.appsSubnetIp [Request]
  • virtualClusterParams.appsSubnetIpV6 [Request]
  • virtualClusterParams.appsSubnetMask [Request]
  • virtualClusterParams.appsSubnetMaskV6 [Request]
  • virtualClusterParams.clusterDestroyHmacKey [Request]
  • virtualClusterParams.enableClusterDestroy [Request]
  • virtualClusterParams.encryptionConfig [Request]
  • virtualClusterParams.ipPreference [Request]
  • virtualClusterParams.metadataFaultTolerance [Request]
  • virtualClusterParams.nodeConfigs [Request]
  • virtualClusterParams.trustDomain [Request]
New optional properties (1)
  • cloudClusterParams.nodeIps [Request]
GET /clusters/nodes
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement CLUSTER_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (4)
  • [n].diskCount [Return Type]
  • [n].inMaintenanceMode [Return Type]
  • [n].isUpgradeInProgress [Return Type]
  • [n].patchSoftwareVersion [Return Type]
GET /data-protect/objects/last-run
  • Privilege name updated
  • Breaking change details
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement Unknown Privileges was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (2)
  • [Return Type] removed property objectLastRuns[n].entityId
  • [Return Type] removed property objectLastRuns[n].childObjects[n].entityId
Deleted properties (2)
  • objectLastRuns[n].childObjects[n].entityId [Return Type]
  • objectLastRuns[n].entityId [Return Type]
GET /data-protect/sources/{sourceId}/objects
  • Privilege name updated
  • Breaking change details
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement PROTECTION_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (2)
  • [Return Type] removed property objects[n].entityId
  • [Return Type] removed property objects[n].childObjects[n].entityId
Deleted properties (2)
  • objects[n].childObjects[n].entityId [Return Type]
  • objects[n].entityId [Return Type]
GET /disks/local
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement CLUSTER_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (1)
  • disksList[n].ssdUsageLevel [Return Type]
POST /file-services/shares
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for POST. The documented privilege requirement STORAGE_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (1)
  • viewId [Return Type] — Specifies the id of the View.
GET /file-services/shares
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement STORAGE_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (1)
  • shares[n].viewId [Return Type]
PUT /file-services/view-template/{id}
  • Privilege name updated
  • New properties added
  • New required fields
  • New fields that are always included in the response
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement STORAGE_DOMAIN_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Added properties (6)
  • viewParams.antivirusScanConfig.prefixScanFilter [Request, Return Type]
  • viewParams.antivirusScanConfig.s3TaggingFilter [Request, Return Type]
  • viewParams.antivirusScanConfig.scanOnPut [Request, Return Type]
  • viewParams.s3EfficientMpuMaxSubfiles [Request, Return Type]
  • viewParams.s3EnableEfficientMpu [Request, Return Type]
  • viewParams.s3MigrationState [Request, Return Type]
New required request fields (4)
  • viewParams.category [Request]
  • viewParams.protocolAccess [Request]
  • viewParams.qos [Request]
  • viewParams.storageDomainId [Request]
Now-guaranteed response fields (4)
  • viewParams.category [Return Type]
  • viewParams.protocolAccess [Return Type]
  • viewParams.qos [Return Type]
  • viewParams.storageDomainId [Return Type]
GET /groups
  • Privilege name updated
  • Breaking change details
  • New properties added
  • Properties removed
  • New optional properties
Privilege requirement removed

No API contract change for GET. The documented privilege requirement No Privileges Required was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (1)
  • [Return Type] removed property groups[n].groupType
Added properties (2)
  • groups[n].localGroupParams.usernames [Return Type]
  • groups[n].smbPrincipals[n].sid [Return Type]
Deleted properties (1)
  • groups[n].groupType [Return Type]
New optional properties (1)
  • groups[n].groupType [Return Type]
POST /groups
  • Privilege name updated
  • Breaking change details
  • New properties added
  • Properties removed
  • New optional properties
Privilege requirement removed

No API contract change for POST. The documented privilege requirement PRINCIPAL_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (2)
  • [Request] type of the request body (root schema) changed: objectarray
  • [Return Type] removed property groups[n].groupType
Added properties (2)
  • groups[n].localGroupParams.usernames [Return Type]
  • groups[n].smbPrincipals[n].sid [Return Type]
Deleted properties (1)
  • groups[n].groupType [Return Type]
New optional properties (1)
  • groups[n].groupType [Return Type]
GET /helios-onprem/config
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement CLUSTER_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (2)
  • networkConfig.vips [Return Type]
  • proxyServerConfig.isDisabled [Return Type]
PUT /helios-onprem/config
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement CLUSTER_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (2)
  • networkConfig.vips [Request, Return Type]
  • proxyServerConfig.isDisabled [Request, Return Type]
GET /network-interfaces
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement CLUSTER_VIEW, CLUSTER_CREATE was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (10)
  • nodes[n].chassisSerial [Return Type]
  • nodes[n].interfaces[n].activeBondSlave [Return Type]
  • nodes[n].interfaces[n].bondSlavesDetails [Return Type]
  • nodes[n].interfaces[n].gatewayV6 [Return Type]
  • nodes[n].interfaces[n].services [Return Type]
  • nodes[n].interfaces[n].staticIpV6 [Return Type]
  • nodes[n].interfaces[n].stats [Return Type]
  • nodes[n].interfaces[n].subnetV6 [Return Type]
  • nodes[n].ip [Return Type]
  • nodes[n].slotNumber [Return Type]
PUT /patch-management/available-patches
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement CLUSTER_MAINTENANCE was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (1)
  • isUpgradeAndPatch [Request]
POST /storage-domains
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for POST. The documented privilege requirement STORAGE_DOMAIN_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (1)
  • removalState [Return Type] — Specifies the current removal state of the Storage Domain. 'DontRemove' means the state of object is functional and it is not being removed. 'MarkedForRemoval' means the object is being removed. 'OkToRemove' means the object has been removed on the Cohesity Cluster and if the object is physical, it can be removed from the Cohesity Cluster.
GET /storage-domains
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement STORAGE_DOMAIN_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (1)
  • storageDomains[n].removalState [Return Type]
PUT /data-protect/objects/{id}/snapshots/{snapshotId}
  • Privilege name updated
  • Breaking change details
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement RESTORE_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (1)
  • [Request] type of expiryTimeSecs changed — top-level type is still integer, but its nested schema shape changed (e.g. a different $ref, or fields added/removed inside it). Check the full schema for the exact difference.
POST /file-services/view-template
  • Privilege name updated
  • New properties added
  • New required fields
  • New fields that are always included in the response
Privilege requirement removed

No API contract change for POST. The documented privilege requirement STORAGE_DOMAIN_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Added properties (6)
  • viewParams.antivirusScanConfig.prefixScanFilter [Request, Return Type]
  • viewParams.antivirusScanConfig.s3TaggingFilter [Request, Return Type]
  • viewParams.antivirusScanConfig.scanOnPut [Request, Return Type]
  • viewParams.s3EfficientMpuMaxSubfiles [Request, Return Type]
  • viewParams.s3EnableEfficientMpu [Request, Return Type]
  • viewParams.s3MigrationState [Request, Return Type]
New required request fields (4)
  • viewParams.category [Request]
  • viewParams.protocolAccess [Request]
  • viewParams.qos [Request]
  • viewParams.storageDomainId [Request]
Now-guaranteed response fields (4)
  • viewParams.category [Return Type]
  • viewParams.protocolAccess [Return Type]
  • viewParams.qos [Return Type]
  • viewParams.storageDomainId [Return Type]
GET /node-groups
  • Privilege name updated
  • New properties added
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement CLUSTER_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Added properties (1)
  • nodeGroups[n].node-ids [Return Type]
Deleted properties (3)
  • nodeGroups[n].nodeIds [Return Type]
  • nodeGroups[n].nodeIps [Return Type]
  • nodeGroups[n].subnetInfo.subnetIpv4Mask [Return Type]
POST /node-groups
  • Privilege name updated
  • New properties added
  • Properties removed
Privilege requirement removed

No API contract change for POST. The documented privilege requirement CLUSTER_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Added properties (2)
  • node-ids [Request] — List of Node Ids that are part of this node group.
  • nodeGroups[n].node-ids [Return Type]
Deleted properties (6)
  • nodeGroups[n].nodeIds [Return Type]
  • nodeGroups[n].nodeIps [Return Type]
  • nodeGroups[n].subnetInfo.subnetIpv4Mask [Return Type]
  • nodeIds [Request] — List of Node Ids that are part of this node group.
  • nodeIps [Request] — Node ips for node group
  • subnetInfo.subnetIpv4Mask [Request]
PUT /node-groups/{groupName}
  • Privilege name updated
  • New properties added
  • Properties removed
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement Unknown Privileges was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Added properties (2)
  • node-ids [Request] — List of Node Ids that are part of this node group.
  • nodeGroups[n].node-ids [Return Type]
Deleted properties (6)
  • nodeGroups[n].nodeIds [Return Type]
  • nodeGroups[n].nodeIps [Return Type]
  • nodeGroups[n].subnetInfo.subnetIpv4Mask [Return Type]
  • nodeIds [Request] — List of Node Ids that are part of this node group.
  • nodeIps [Request] — Node ips for node group
  • subnetInfo.subnetIpv4Mask [Request]
GET /remote-clusters/{clusterId}
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement CLUSTER_REMOTE_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (5)
  • effectiveAesEncryptionMode [Return Type]
  • multiTenancyEnabled [Return Type]
  • supportedAesEncryptionMode [Return Type]
  • tenantStorageDomainSharingEnabled [Return Type]
  • tlsEnabled [Return Type]
PUT /remote-clusters/{clusterId}
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement CLUSTER_REMOTE_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (5)
  • effectiveAesEncryptionMode [Request, Return Type] — Specifies the effective AES Encryption mode negotiated between local and the remote cluster.
  • multiTenancyEnabled [Request, Return Type] — Specifies if the Remote Cluster has Multi-Tenancy enabled.
  • supportedAesEncryptionMode [Request, Return Type] — Specifies the AES Encryption mode of the remote cluster.
  • tenantStorageDomainSharingEnabled [Request, Return Type] — Specifies if Tenant Storage Domain sharing is enabled on the Remote Cluster.
  • tlsEnabled [Request, Return Type] — Specifies if TLS is enabled on the Remote Cluster.
GET /data-protect/objects/{id}/tree
  • Privilege name updated
  • Breaking change details
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement Unknown Privileges was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (4)
  • [Return Type] removed property entityId
  • [Return Type] removed property mongoDBParams
  • [Return Type] removed property childObjects[n].entityId
  • [Return Type] removed property vmwareParams.moRef
Deleted properties (4)
  • childObjects[n].entityId [Return Type]
  • entityId [Return Type]
  • mongoDBParams [Return Type]
  • vmwareParams.moRef [Return Type]
GET /data-protect/runs/{runId}/progress
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement PROTECTION_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (1)
  • archivalRun[n].objects[n].entityId [Return Type]
GET /data-protect/runs/{runId}/stats
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement PROTECTION_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (1)
  • archivalRun[n].objects[n].entityId [Return Type]
GET /data-protect/sources/{id}
  • Privilege name updated
  • Breaking change details
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement Unknown Privileges was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (4)
  • [Return Type] removed property entityId
  • [Return Type] removed property mongoDBParams
  • [Return Type] removed property childObjects[n].entityId
  • [Return Type] removed property vmwareParams.moRef
Deleted properties (4)
  • childObjects[n].entityId [Return Type]
  • entityId [Return Type]
  • mongoDBParams [Return Type]
  • vmwareParams.moRef [Return Type]
POST /remote-clusters
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for POST. The documented privilege requirement CLUSTER_REMOTE_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (5)
  • effectiveAesEncryptionMode [Request, Return Type] — Specifies the effective AES Encryption mode negotiated between local and the remote cluster.
  • multiTenancyEnabled [Request, Return Type] — Specifies if the Remote Cluster has Multi-Tenancy enabled.
  • supportedAesEncryptionMode [Request, Return Type] — Specifies the AES Encryption mode of the remote cluster.
  • tenantStorageDomainSharingEnabled [Request, Return Type] — Specifies if Tenant Storage Domain sharing is enabled on the Remote Cluster.
  • tlsEnabled [Request, Return Type] — Specifies if TLS is enabled on the Remote Cluster.
GET /remote-clusters
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement CLUSTER_REMOTE_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (5)
  • remoteClusters[n].effectiveAesEncryptionMode [Return Type]
  • remoteClusters[n].multiTenancyEnabled [Return Type]
  • remoteClusters[n].supportedAesEncryptionMode [Return Type]
  • remoteClusters[n].tenantStorageDomainSharingEnabled [Return Type]
  • remoteClusters[n].tlsEnabled [Return Type]
GET /data-protect/objects/{id}/runs/{runId}
  • Privilege name updated
  • Breaking change details
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement PROTECTION_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (1)
  • [Return Type] removed property entityId
Deleted properties (1)
  • entityId [Return Type]
GET /data-protect/policies/{id}
  • Privilege name updated
  • Breaking change details
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement PROTECTION_POLICY_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (3)
  • [Return Type] removed property enableSmartLocalRetentionAdjustment
  • [Return Type] removed property rpoPolicySettings
  • [Return Type] removed property skipIntervalMins
Deleted properties (3)
  • enableSmartLocalRetentionAdjustment [Return Type]
  • rpoPolicySettings [Return Type]
  • skipIntervalMins [Return Type]
PUT /data-protect/policies/{id}
  • Privilege name updated
  • Breaking change details
  • Properties removed
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement PROTECTION_POLICY_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (3)
  • [Return Type] removed property enableSmartLocalRetentionAdjustment
  • [Return Type] removed property rpoPolicySettings
  • [Return Type] removed property skipIntervalMins
Deleted properties (3)
  • enableSmartLocalRetentionAdjustment [Request, Return Type] — Specifies whether smart local retention adjustment is enabled or not. If enabled, local retention would be extended upon failure of any outgoing replications or archivals. Later, if manual intervention causes the failed copies to succeed, retention would automatically be reduced.
  • rpoPolicySettings [Request, Return Type] — Specifies all the additional settings that are applicable only to an RPO policy. This can include storage domain, settings of different environments, etc.
  • skipIntervalMins [Request, Return Type] — Specifies the period of time before skipping the execution of new group Runs if an existing queued group Run of the same Protection group has not started. For example if this field is set to 30 minutes and a group Run is scheduled to start at 5:00 AM every day but does not start due to conflicts (such as too many groups are running). If the new group Run does not start by 5:30AM, the Cohesity Cluster will skip the new group Run. If the original group Run completes before 5:30AM the next day, a new group Run is created and starts executing. This field is optional.
GET /data-protect/policy-templates/{id}
  • Privilege name updated
  • Breaking change details
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement PROTECTION_POLICY_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (3)
  • [Return Type] removed property enableSmartLocalRetentionAdjustment
  • [Return Type] removed property rpoPolicySettings
  • [Return Type] removed property skipIntervalMins
Deleted properties (3)
  • enableSmartLocalRetentionAdjustment [Return Type]
  • rpoPolicySettings [Return Type]
  • skipIntervalMins [Return Type]
GET /data-protect/protection-groups/{id}/runs/{runId}
  • Privilege name updated
  • Breaking change details
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement PROTECTION_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (3)
  • [Return Type] removed property isMetadataDeleted
  • [Return Type] removed property localBackupInfo.pauseMetadata
  • [Return Type] removed property objects[n].object.entityId
Deleted properties (3)
  • isMetadataDeleted [Return Type]
  • localBackupInfo.pauseMetadata [Return Type]
  • objects[n].object.entityId [Return Type]
POST /data-protect/recoveries/download-files-folders
  • Privilege name updated
  • Breaking change details
  • New properties added
  • Properties removed
  • New optional properties
Privilege requirement removed

No API contract change for POST. The documented privilege requirement RESTORE_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (13)
  • [Request] removed property object.objectInfo.entityId
  • [Request] removed property object.objectInfo.childObjects[n].entityId
  • [Return Type] removed property filterParams
  • [Return Type] removed property vmwareParams.recoverVAppTemplateParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCloudDirectorParams.networkConfig.newNetworkConfig.mappings
  • [Return Type] removed property vmwareParams.recoverVmParams.restoreObjectCustomizations
  • [Return Type] removed property vmwareParams.recoverVmParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.standaloneHostParams.networkConfig.newNetworkConfig.mappings
  • [Return Type] removed property vmwareParams.recoverVmParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCenterParams.networkConfig.newNetworkConfig.mappings
  • [Return Type] removed property vmwareParams.recoverVmParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCloudDirectorParams.networkConfig.newNetworkConfig.mappings
  • [Return Type] removed property vmwareParams.recoverVAppParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCloudDirectorParams.networkConfig.newNetworkConfig.mappings
  • [Return Type] removed property office365Params.recoverMailboxParams.ewsExchangeTarget
  • [Return Type] removed property office365Params.recoverMailboxParams.pstParams.separateDownloadFiles
  • [Return Type] removed property awsParams.objects[n].objectInfo.entityId
  • [Return Type] removed property awsParams.objects[n].objectInfo.childObjects[n].entityId
Added properties (12)
  • documents [Request] — Specifies the list of documents to download using item ids. Only one of filesAndFolders or documents should be used. Currently only files are supported by documents.
  • kubernetesParams.recoverNamespaceParams.kubernetesTargetParams.excludeParams [Return Type]
  • kubernetesParams.recoverNamespaceParams.kubernetesTargetParams.includeParams [Return Type]
  • kubernetesParams.recoverNamespaceParams.kubernetesTargetParams.recoverPvcsOnly [Return Type]
  • kubernetesParams.recoverNamespaceParams.kubernetesTargetParams.storageClass [Return Type]
  • mongodbParams.recoverMongodbParams.recoverUserRoles [Return Type]
  • mongodbParams.recoverMongodbParams.recoverZonesTags [Return Type]
  • mssqlParams.recoverAppParams[n].sqlTargetParams.newSourceConfig.nativeLogRecoveryWithClause [Return Type]
  • mssqlParams.recoverAppParams[n].sqlTargetParams.originalSourceConfig.nativeLogRecoveryWithClause [Return Type]
  • office365Params.recoverMailboxParams.objects[n].mailboxParams.recoverFolders[n].folderId [Return Type]
  • vmwareParams.recoverVmDiskParams.vmwareTargetParams.targetSourceConfig.sourceName [Return Type]
  • vmwareParams.recoverVmDiskParams.vmwareTargetParams.targetSourceConfig.target [Return Type]
Deleted properties (13)
  • awsParams.objects[n].objectInfo.childObjects[n].entityId [Return Type]
  • awsParams.objects[n].objectInfo.entityId [Return Type]
  • filterParams [Return Type]
  • object.objectInfo.childObjects[n].entityId [Request]
  • object.objectInfo.entityId [Request]
  • office365Params.recoverMailboxParams.ewsExchangeTarget [Return Type]
  • office365Params.recoverMailboxParams.pstParams.separateDownloadFiles [Return Type]
  • vmwareParams.recoverVAppParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCloudDirectorParams.networkConfig.newNetworkConfig.mappings [Return Type]
  • vmwareParams.recoverVAppTemplateParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCloudDirectorParams.networkConfig.newNetworkConfig.mappings [Return Type]
  • vmwareParams.recoverVmParams.restoreObjectCustomizations [Return Type]
  • vmwareParams.recoverVmParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.standaloneHostParams.networkConfig.newNetworkConfig.mappings [Return Type]
  • vmwareParams.recoverVmParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCenterParams.networkConfig.newNetworkConfig.mappings [Return Type]
  • vmwareParams.recoverVmParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCloudDirectorParams.networkConfig.newNetworkConfig.mappings [Return Type]
New optional properties (2)
  • filesAndFolders [Request] — Specifies the list of files and folders to download. Only one of filesAndFolders or documents should be used.
  • office365Params.recoverMailboxParams.objects[n].mailboxParams.recoverFolders[n].key [Return Type]
GET /data-protect/recoveries/{id}
  • Privilege name updated
  • Breaking change details
  • New properties added
  • Properties removed
  • New optional properties
Privilege requirement removed

No API contract change for GET. The documented privilege requirement RESTORE_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (11)
  • [Return Type] removed property filterParams
  • [Return Type] removed property vmwareParams.recoverVAppTemplateParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCloudDirectorParams.networkConfig.newNetworkConfig.mappings
  • [Return Type] removed property vmwareParams.recoverVmParams.restoreObjectCustomizations
  • [Return Type] removed property vmwareParams.recoverVmParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.standaloneHostParams.networkConfig.newNetworkConfig.mappings
  • [Return Type] removed property vmwareParams.recoverVmParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCenterParams.networkConfig.newNetworkConfig.mappings
  • [Return Type] removed property vmwareParams.recoverVmParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCloudDirectorParams.networkConfig.newNetworkConfig.mappings
  • [Return Type] removed property vmwareParams.recoverVAppParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCloudDirectorParams.networkConfig.newNetworkConfig.mappings
  • [Return Type] removed property office365Params.recoverMailboxParams.ewsExchangeTarget
  • [Return Type] removed property office365Params.recoverMailboxParams.pstParams.separateDownloadFiles
  • [Return Type] removed property awsParams.objects[n].objectInfo.entityId
  • [Return Type] removed property awsParams.objects[n].objectInfo.childObjects[n].entityId
Added properties (11)
  • kubernetesParams.recoverNamespaceParams.kubernetesTargetParams.excludeParams [Return Type]
  • kubernetesParams.recoverNamespaceParams.kubernetesTargetParams.includeParams [Return Type]
  • kubernetesParams.recoverNamespaceParams.kubernetesTargetParams.recoverPvcsOnly [Return Type]
  • kubernetesParams.recoverNamespaceParams.kubernetesTargetParams.storageClass [Return Type]
  • mongodbParams.recoverMongodbParams.recoverUserRoles [Return Type]
  • mongodbParams.recoverMongodbParams.recoverZonesTags [Return Type]
  • mssqlParams.recoverAppParams[n].sqlTargetParams.newSourceConfig.nativeLogRecoveryWithClause [Return Type]
  • mssqlParams.recoverAppParams[n].sqlTargetParams.originalSourceConfig.nativeLogRecoveryWithClause [Return Type]
  • office365Params.recoverMailboxParams.objects[n].mailboxParams.recoverFolders[n].folderId [Return Type]
  • vmwareParams.recoverVmDiskParams.vmwareTargetParams.targetSourceConfig.sourceName [Return Type]
  • vmwareParams.recoverVmDiskParams.vmwareTargetParams.targetSourceConfig.target [Return Type]
Deleted properties (11)
  • awsParams.objects[n].objectInfo.childObjects[n].entityId [Return Type]
  • awsParams.objects[n].objectInfo.entityId [Return Type]
  • filterParams [Return Type]
  • office365Params.recoverMailboxParams.ewsExchangeTarget [Return Type]
  • office365Params.recoverMailboxParams.pstParams.separateDownloadFiles [Return Type]
  • vmwareParams.recoverVAppParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCloudDirectorParams.networkConfig.newNetworkConfig.mappings [Return Type]
  • vmwareParams.recoverVAppTemplateParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCloudDirectorParams.networkConfig.newNetworkConfig.mappings [Return Type]
  • vmwareParams.recoverVmParams.restoreObjectCustomizations [Return Type]
  • vmwareParams.recoverVmParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.standaloneHostParams.networkConfig.newNetworkConfig.mappings [Return Type]
  • vmwareParams.recoverVmParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCenterParams.networkConfig.newNetworkConfig.mappings [Return Type]
  • vmwareParams.recoverVmParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCloudDirectorParams.networkConfig.newNetworkConfig.mappings [Return Type]
New optional properties (1)
  • office365Params.recoverMailboxParams.objects[n].mailboxParams.recoverFolders[n].key [Return Type]
POST /data-protect/search/indexed-objects
  • Privilege name updated
  • Breaking change details
  • New properties added
  • Properties removed
Privilege requirement removed

No API contract change for POST. The documented privilege requirement RESTORE_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (16)
  • [Return Type] removed property couchbaseObjects[n].sourceInfo.entityId
  • [Return Type] removed property exchangeObjects[n].sourceInfo.entityId
  • [Return Type] removed property hbaseObjects[n].sourceInfo.entityId
  • [Return Type] removed property hdfsObjects[n].sourceInfo.entityId
  • [Return Type] removed property hiveObjects[n].sourceInfo.entityId
  • [Return Type] removed property msGroupItems[n].sourceInfo.entityId
  • [Return Type] removed property oneDriveItems[n].sourceInfo.entityId
  • [Return Type] removed property publicFolderItems[n].sourceInfo.entityId
  • [Return Type] removed property udaObjects[n].sourceInfo.entityId
  • [Return Type] removed property cassandraObjects[n].sourceInfo.entityId
  • [Return Type] removed property cassandraObjects[n].sourceInfo.childObjects[n].entityId
  • [Return Type] removed property teamsItems[n].sourceInfo.entityId
  • [Return Type] removed property files[n].sourceInfo.entityId
  • [Return Type] removed property files[n].sourceInfo.mongoDBParams
  • [Return Type] removed property files[n].sourceInfo.vmwareParams.moRef
  • [Return Type] removed property mongoObjects[n].sourceInfo.entityId
Added properties (1)
  • oneDriveItems[n].itemId [Return Type]
Deleted properties (16)
  • cassandraObjects[n].sourceInfo.childObjects[n].entityId [Return Type]
  • cassandraObjects[n].sourceInfo.entityId [Return Type]
  • couchbaseObjects[n].sourceInfo.entityId [Return Type]
  • exchangeObjects[n].sourceInfo.entityId [Return Type]
  • files[n].sourceInfo.entityId [Return Type]
  • files[n].sourceInfo.mongoDBParams [Return Type]
  • files[n].sourceInfo.vmwareParams.moRef [Return Type]
  • hbaseObjects[n].sourceInfo.entityId [Return Type]
  • hdfsObjects[n].sourceInfo.entityId [Return Type]
  • hiveObjects[n].sourceInfo.entityId [Return Type]
  • mongoObjects[n].sourceInfo.entityId [Return Type]
  • msGroupItems[n].sourceInfo.entityId [Return Type]
  • oneDriveItems[n].sourceInfo.entityId [Return Type]
  • publicFolderItems[n].sourceInfo.entityId [Return Type]
  • teamsItems[n].sourceInfo.entityId [Return Type]
  • udaObjects[n].sourceInfo.entityId [Return Type]
GET /data-protect/search/objects
  • Privilege name updated
  • Breaking change details
  • New properties added
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement OBJECT_SEARCH was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (6)
  • [Return Type] removed property objects[n].entityId
  • [Return Type] removed property objects[n].mongoDBParams
  • [Return Type] removed property objects[n].sourceInfo.entityId
  • [Return Type] removed property objects[n].sourceInfo.mongoDBParams
  • [Return Type] removed property objects[n].childObjects[n].entityId
  • [Return Type] removed property objects[n].vmwareParams.moRef
Added properties (3)
  • objects[n].heliosTags [Return Type]
  • objects[n].secondaryIds [Return Type]
  • objects[n].taggedSnapshots [Return Type]
Deleted properties (6)
  • objects[n].childObjects[n].entityId [Return Type]
  • objects[n].entityId [Return Type]
  • objects[n].mongoDBParams [Return Type]
  • objects[n].sourceInfo.entityId [Return Type]
  • objects[n].sourceInfo.mongoDBParams [Return Type]
  • objects[n].vmwareParams.moRef [Return Type]
GET /data-protect/sources
  • Privilege name updated
  • Breaking change details
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement Unknown Privileges was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (4)
  • [Return Type] removed property sources[n].entityId
  • [Return Type] removed property sources[n].mongoDBParams
  • [Return Type] removed property sources[n].childObjects[n].entityId
  • [Return Type] removed property sources[n].vmwareParams.moRef
Deleted properties (4)
  • sources[n].childObjects[n].entityId [Return Type]
  • sources[n].entityId [Return Type]
  • sources[n].mongoDBParams [Return Type]
  • sources[n].vmwareParams.moRef [Return Type]
GET /data-protect/sources/registrations/{id}
  • Privilege name updated
  • Breaking change details
  • New properties added
  • Properties removed
  • New optional properties
  • New fields that are always included in the response
Privilege requirement removed

No API contract change for GET. The documented privilege requirement PROTECTION_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (7)
  • [Return Type] removed property ewsExchangeParams
  • [Return Type] removed property flashbladeParams.filterIpConfig
  • [Return Type] removed property office365Params.office365AppCredentialsList[n].clientCertificate
  • [Return Type] removed property sourceInfo.entityId
  • [Return Type] removed property sourceInfo.mongoDBParams
  • [Return Type] removed property sourceInfo.childObjects[n].entityId
  • [Return Type] removed property sourceInfo.vmwareParams.moRef
Added properties (2)
  • mongodbParams.useFixedNodeForBackup [Return Type]
  • office365Params.enableM365CSMBackup [Return Type]
Deleted properties (7)
  • ewsExchangeParams [Return Type]
  • flashbladeParams.filterIpConfig [Return Type]
  • office365Params.office365AppCredentialsList[n].clientCertificate [Return Type]
  • sourceInfo.childObjects[n].entityId [Return Type]
  • sourceInfo.entityId [Return Type]
  • sourceInfo.mongoDBParams [Return Type]
  • sourceInfo.vmwareParams.moRef [Return Type]
New optional properties (2)
  • awsParams.s3Params.inventoryReportBucket [Return Type]
  • awsParams.s3Params.inventoryReportPrefix [Return Type]
Now-guaranteed response fields (1)
  • mongodbParams.useFixedNodeForBackup [Return Type]
PUT /data-protect/sources/registrations/{id}
  • Privilege name updated
  • Breaking change details
  • New properties added
  • Properties removed
  • New optional properties
  • New required fields
  • New fields that are always included in the response
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement PROTECTION_SOURCE_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (10)
  • [Request] removed property ewsExchangeParams
  • [Request] removed property flashbladeParams.filterIpConfig
  • [Request] removed property office365Params.office365AppCredentialsList[n].clientCertificate
  • [Return Type] removed property ewsExchangeParams
  • [Return Type] removed property flashbladeParams.filterIpConfig
  • [Return Type] removed property office365Params.office365AppCredentialsList[n].clientCertificate
  • [Return Type] removed property sourceInfo.entityId
  • [Return Type] removed property sourceInfo.mongoDBParams
  • [Return Type] removed property sourceInfo.childObjects[n].entityId
  • [Return Type] removed property sourceInfo.vmwareParams.moRef
Added properties (2)
  • mongodbParams.useFixedNodeForBackup [Request, Return Type]
  • office365Params.enableM365CSMBackup [Request, Return Type]
Deleted properties (7)
  • ewsExchangeParams [Request, Return Type] — Specifies the parameters to register an EWS Exchange source.
  • flashbladeParams.filterIpConfig [Request, Return Type]
  • office365Params.office365AppCredentialsList[n].clientCertificate [Request, Return Type]
  • sourceInfo.childObjects[n].entityId [Return Type]
  • sourceInfo.entityId [Return Type]
  • sourceInfo.mongoDBParams [Return Type]
  • sourceInfo.vmwareParams.moRef [Return Type]
New optional properties (4)
  • awsParams.s3Params.inventoryReportBucket [Request]
  • awsParams.s3Params.inventoryReportPrefix [Request]
  • awsParams.s3Params.inventoryReportBucket [Return Type]
  • awsParams.s3Params.inventoryReportPrefix [Return Type]
New required request fields (1)
  • mongodbParams.useFixedNodeForBackup [Request]
Now-guaranteed response fields (1)
  • mongodbParams.useFixedNodeForBackup [Return Type]
PATCH /data-protect/sources/registrations/{id}
  • Privilege name updated
  • Breaking change details
  • New properties added
  • Properties removed
  • New optional properties
  • New fields that are always included in the response
Privilege requirement removed

No API contract change for PATCH. The documented privilege requirement PROTECTION_SOURCE_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (7)
  • [Return Type] removed property ewsExchangeParams
  • [Return Type] removed property flashbladeParams.filterIpConfig
  • [Return Type] removed property office365Params.office365AppCredentialsList[n].clientCertificate
  • [Return Type] removed property sourceInfo.entityId
  • [Return Type] removed property sourceInfo.mongoDBParams
  • [Return Type] removed property sourceInfo.childObjects[n].entityId
  • [Return Type] removed property sourceInfo.vmwareParams.moRef
Added properties (2)
  • mongodbParams.useFixedNodeForBackup [Return Type]
  • office365Params.enableM365CSMBackup [Return Type]
Deleted properties (7)
  • ewsExchangeParams [Return Type]
  • flashbladeParams.filterIpConfig [Return Type]
  • office365Params.office365AppCredentialsList[n].clientCertificate [Return Type]
  • sourceInfo.childObjects[n].entityId [Return Type]
  • sourceInfo.entityId [Return Type]
  • sourceInfo.mongoDBParams [Return Type]
  • sourceInfo.vmwareParams.moRef [Return Type]
New optional properties (2)
  • awsParams.s3Params.inventoryReportBucket [Return Type]
  • awsParams.s3Params.inventoryReportPrefix [Return Type]
Now-guaranteed response fields (1)
  • mongodbParams.useFixedNodeForBackup [Return Type]
PUT /data-protect/external-targets/{id}
  • Privilege name updated
  • New properties added
  • New required fields
  • New fields that are always included in the response
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement CLUSTER_EXTERNAL_TARGET_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Added properties (3)
  • archivalParams.awsParams.awsGlacierParams.awsCloudGovParams.authenticationMethod.iAmRolesAnywhereParams [Request, Return Type]
  • enableObjectLock [Request, Return Type] — Whether to enable object lock for this vault. If this field is set, all the objects written to the vault will be object locked until all the archives referring to them expire.
  • useForApolloMrStore [Request, Return Type] — Specifies whether this external target is used to store apollo mr records.
New required request fields (1)
  • archivalParams.awsParams.awsGlacierParams.awsCloudGovParams.authenticationMethod.iAmRoleParams.accountId [Request]
Now-guaranteed response fields (1)
  • archivalParams.awsParams.awsGlacierParams.awsCloudGovParams.authenticationMethod.iAmRoleParams.accountId [Return Type]
GET /data-protect/objects/{id}/runs
  • Privilege name updated
  • Breaking change details
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement PROTECTION_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (1)
  • [Return Type] removed property protectionRuns[n].entityId
Deleted properties (1)
  • protectionRuns[n].entityId [Return Type]
POST /data-protect/policies
  • Privilege name updated
  • Breaking change details
  • Properties removed
Privilege requirement removed

No API contract change for POST. The documented privilege requirement PROTECTION_POLICY_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (3)
  • [Return Type] removed property enableSmartLocalRetentionAdjustment
  • [Return Type] removed property rpoPolicySettings
  • [Return Type] removed property skipIntervalMins
Deleted properties (3)
  • enableSmartLocalRetentionAdjustment [Request, Return Type] — Specifies whether smart local retention adjustment is enabled or not. If enabled, local retention would be extended upon failure of any outgoing replications or archivals. Later, if manual intervention causes the failed copies to succeed, retention would automatically be reduced.
  • rpoPolicySettings [Request, Return Type] — Specifies all the additional settings that are applicable only to an RPO policy. This can include storage domain, settings of different environments, etc.
  • skipIntervalMins [Request, Return Type] — Specifies the period of time before skipping the execution of new group Runs if an existing queued group Run of the same Protection group has not started. For example if this field is set to 30 minutes and a group Run is scheduled to start at 5:00 AM every day but does not start due to conflicts (such as too many groups are running). If the new group Run does not start by 5:30AM, the Cohesity Cluster will skip the new group Run. If the original group Run completes before 5:30AM the next day, a new group Run is created and starts executing. This field is optional.
GET /data-protect/policies
  • Privilege name updated
  • Breaking change details
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement PROTECTION_POLICY_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (3)
  • [Return Type] removed property policies[n].enableSmartLocalRetentionAdjustment
  • [Return Type] removed property policies[n].rpoPolicySettings
  • [Return Type] removed property policies[n].skipIntervalMins
Deleted properties (3)
  • policies[n].enableSmartLocalRetentionAdjustment [Return Type]
  • policies[n].rpoPolicySettings [Return Type]
  • policies[n].skipIntervalMins [Return Type]
GET /data-protect/policy-templates
  • Privilege name updated
  • Breaking change details
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement PROTECTION_POLICY_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (3)
  • [Return Type] removed property policies[n].enableSmartLocalRetentionAdjustment
  • [Return Type] removed property policies[n].rpoPolicySettings
  • [Return Type] removed property policies[n].skipIntervalMins
Deleted properties (3)
  • policies[n].enableSmartLocalRetentionAdjustment [Return Type]
  • policies[n].rpoPolicySettings [Return Type]
  • policies[n].skipIntervalMins [Return Type]
POST /data-protect/protection-groups/{id}/runs
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for POST. The documented privilege requirement PROTECTION_JOB_OPERATE was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (3)
  • targetsConfig.archivals[n].onLegalHold [Request]
  • targetsConfig.cloudReplications[n].onLegalHold [Request]
  • targetsConfig.replications[n].onLegalHold [Request]
PUT /data-protect/protection-groups/{id}/runs
  • Privilege name updated
  • Properties removed
Privilege requirement removed

No API contract change for PUT. The documented privilege requirement PROTECTION_MODIFY was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Deleted properties (2)
  • updateProtectionGroupRunParams[n].archivalSnapshotConfig.newSnapshotConfig[n].onLegalHold [Request]
  • updateProtectionGroupRunParams[n].replicationSnapshotConfig.newSnapshotConfig[n].onLegalHold [Request]
GET /data-protect/protection-groups/{id}/runs
  • Privilege name updated
  • Breaking change details
  • Properties removed
Privilege requirement removed

No API contract change for GET. The documented privilege requirement PROTECTION_VIEW was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (4)
  • [Return Type] removed property paginationCookie
  • [Return Type] removed property runs[n].isMetadataDeleted
  • [Return Type] removed property runs[n].localBackupInfo.pauseMetadata
  • [Return Type] removed property runs[n].objects[n].object.entityId
Deleted properties (4)
  • paginationCookie [Return Type]
  • runs[n].isMetadataDeleted [Return Type]
  • runs[n].localBackupInfo.pauseMetadata [Return Type]
  • runs[n].objects[n].object.entityId [Return Type]
POST /data-protect/recoveries
  • Privilege name updated
  • Breaking change details
  • New properties added
  • Properties removed
  • New optional properties
Privilege requirement removed

No API contract change for POST. The documented privilege requirement RESTORE_MODIFY, REMOTE_RESTORE was removed. Clients using the same request body and path should work the same; verify RBAC/permissions if your integration checks privilege names.

Breaking details (22)
  • [Request] removed property filterParams
  • [Request] removed property vmwareParams.recoverVAppTemplateParams.vmwareTargetParams.recoveryTargetConfig.newSourceConfig.vCloudDirectorParams.networkConfig.newNetworkConfig.mappings
  • [Request] removed property vmwareParams.recoverVmParams.restoreObjectCustomizations
[...]
